Subject: [VCARDDAV] Minneapolis minutes

From: Simon Perreault <[email-masked]>
Date: Thu, 05 Feb 2009 15:01:30 -0500

Hi all,

I took some notes while listening to the audio. Any comments?

Simon

==================================

IETF Vcarddav working group
Meeting minutes for IETF 73, Minneapolis, MN, USA

WEDNESDAY, November 19, 2008
1300-1500 Afternoon Session I
Rochester   APP vcarddav    vCard and CardDAV WG

Notes taken by Simon Perreault, while listening to recorded audio.

1. Administrativia
2. vcard4 update (Perreault, Resnick)
  draft-ietf-vcarddav-vcardrev

Status and changes for -05 was presented by Perreault.

- What to do with PREF?

Consensus: Give it an int value. PREF without value means least preferred.
PREF=1 is most preferred. Zero is disallowed.

- Proper format for TZ values

Cyrus Daboo: Wait for timezone database in CalConnect.
Chris Newman: Do not support POSIX TZ strings.
Barry Leiba: Cite RFC4833 + "but not POSIX TZ strings".
Chris Newman: Olsen database is good. Use it.
??? (Nokia): Remove the TZ property.
Simon Perreault: TZ useful in many cases.
Pete Resnick: TZ useful for buildings.
Cyrus Daboo: IETF should solve timezone database problem. Do not go with
Olsen.
Bernard Desruisseaux: Do not standardize database, only the syntax.
Namespace.
???: Allow plain text. Wait for CalConnect. "Users of this field should
consider
whether the presence/freebusy information, if available, is a better
source for
this."
Cyrus Daboo: Just refer to iCalendar.
Chris Newman: Interoperate or I'll push back.

Consensus: No POSIX strings. Needs more work.

- Vendor namespace registry

Cyrus Daboo: Reuse ACAP vendor name registry.
Kurt Zeilenga: Use EN- for enterprise numbers.
Pete Resnick: Refer to whatever IANA registry comes up for this. Write BCP.
Chris Newman: Alexis Melnikov has volunteered to write such document.

3. vcard4 sync discussion and concensus (group)

Pete Resnick presented a proposal on how to help the sync process.
- Receive identifiers from peers. Build my own map.
B says: I'm f0iwuf..... I call that 0.
C says: I'm 34tuh...... I call that 1.
PID=4.0,3.1 means "the thing that B calls 0 and that C calls 3 is this".
- Implicit .0 on PIDs.
- Gobbledygook may be urn:uuid or whatever.
- Security implication: I give away my promiscuity. Opaque identifiers
remain
   opaque until party talks to owner of identifier.
- Order of PIDs is not important.

Joe ???: Add timestamps to CLIENTPIDMAP. Marks last sync to peer time.
Dave ???: .0 and .1 only have significance within a single vCard instance.
??? (Nokia): What about deletes?
Pete Resnick: We'll get back to that.
Dave ???: We need something more adapted to transience.
???: PIDs will eventually collapse once you've synced with everyone.
Barry Leiba: Does this suppose that all the parties know each other?
Pete Resnick: No.
Dave ???: This is too complicated.
Kurt Zeilenga: Square sync is out of scope.
Pete Resnick: This does handle triangle, and is simple enough.

4. carddav status (chairs, Daboo)
  draft-ietf-vcarddav-carddav
  draft-ietf-vcarddav-webdav-mkcol

Marc Blanchet asks the WG if these drafts are ready for last call. All
agree, none oppose.

Marc Blanchet: Dependency on carddav-mkcol. Draft is expired.
Chris Newman: WGLC is a good way to get more reviewers.

Consensus: mkcol to be republished. Then make combined WGLC.

5. future work
5.1 vcard4 XML bindings (Perreault)

Cyrus Daboo:
   - Advice concerning XML namespace is inaudible.
   - Some parameters may be multi-valued. Therefore XML attributes is not
right.
     Better to use elements.
   - <interleave> in Relax NG does not mean what you think it means.
There is no
     unordered list construct in either Relax NG or XSD. Get rid of
interleave,
     fix order.
Chris Newman: Keep interleave for extensibility.
Cyrus Daboo: Groups are TBD.
Peter Saint-André: Use <type>voice</type> instead of <voice/>.

Kurt Zeilenga: Please volunteer for the future work on the charter.

-- 
Please try Numb, a STUN/TURN server implementation.
Free access at http://numb.viagenie.ca/.